## xjig 2.4

=== debian/changelog ===
xjig (2.4-14.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on libfile-homedir-perl to support xjig-random out-of-the-box.
    Thanks to rlwbonsai for the report. (Closes: #932742)

 -- Markus Koschany <apo@debian.org>  Mon, 05 Oct 2020 01:39:49 +0200

xjig (2.4-14.1) unstable; urgency=low

  * NMU (Closes: #886455).
  * Added icon (xjig.xpm) and keywords field to desktop file
    (Closes: #738068).
  * Switch to two desktop files: xjig and xjig-random.
  * Removed article on debian/control Description field.
  * Migrated to Standards-Version 4.1.3.
    + Added debian/compat file.
    + Debhelper and compat level to 10.
    + Added debian/source/format file.
    + Added ${misc:Depends} on debian/control Depends field.
    + Rewrote debian/rules with dh $@ (Closes: #777355).
      Added dir, install and manpages debian files.
  * Added debian/watch file (xjig
    does not have an active web address).
  * Added 2 patches to fix typo errors on source code.
  * Removed debian/menu file.
    - Removed postinst, postrm and prerm debian files.
  * Added patch to simulate an initial "End" keypress to
    bring all pieces into view (Closes: #417916).
  * Converted debian/copyright to DEP-5.
  * Modified the xjig-random patch to add a file extension filter
    and home pictures directory.
  * Added patch (by Seth Heeren) to prevent crash on
    completion of puzzle (LP: #787035).
  * Added patch (by Alan Curry) to prevent beeps on completing
    (Closes: #610122).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 27 Mar 2018 18:29:25 +0200

xjig (2.4-14) unstable; urgency=low

  * Added .desktop file (closes: #708581)

 -- Dave Holland <dave@debian.org>  Tue, 21 May 2013 11:58:30 +0100

xjig (2.4-13) unstable; urgency=low

  * Minimal fix for FTBFS (closes: #560447)
  * Move example image to /usr/share/games/xjig to keep Lintian happy

 -- Dave Holland <dave@debian.org>  Wed, 13 Jan 2010 14:38:00 +0000

xjig (2.4-12) unstable; urgency=low

  * Build-depends on xutils-dev (closes: #485550)
  * xjig-random now handles spaces in filenames (closes: #422018)
  * No longer build-depends on x-dev (closes: #515416)
  * Don't allow piece flipping in single sided mode (thanks, Ben
    Armstrong) (closes: #417902)

 -- Dave Holland <dave@debian.org>  Tue, 05 May 2009 15:24:17 +0100

xjig (2.4-11.1) unstable; urgency=low

  * NMU
  * debian/rules: Adapt to new imake behaviour of installing stuff to /usr/bin
    (Closes: #373693)
  * Do menu file transition, install it in /usr/share/menu

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 15 Jun 2006 10:44:42 +0200

xjig (2.4-11) unstable; urgency=low

  * update xlibs-dev build dependency (thanks, John Wright)
    (closes: #346404)

 -- Dave Holland <dave@debian.org>  Tue, 10 Jan 2006 12:03:26 +0000

xjig (2.4-10) unstable; urgency=low

  * the /usr/doc symlink is no more (closes: #345282)

 -- Dave Holland <dave@debian.org>  Fri, 6 Jan 2006 13:27:32 +0000

xjig (2.4-9) unstable; urgency=low

  * increased the delay threshold on middle-click (thanks to Richard
    Fojta for the suggestion)
  * now supports JPEG and PPM images (many thanks to Alan Curry for
    the patch) (closes: #239134)
  * rebuilt with g++ 4.0.2-4

 -- Dave Holland <dave@debian.org>  Fri, 2 Dec 2005 13:00:45 +0000

xjig (2.4-8) unstable; urgency=low

  * rebuilt in "sid" using g++ 3.3 (closes: #210502).

 -- Dave Holland <dave@debian.org>  Thu, 18 Sep 2003 13:18:34 +0000

xjig (2.4-7) unstable; urgency=low

  * change build-depends to xlibs-dev (closes: #170143).
  * support DEB_BUILD_OPTIONS
  * now conforms to Standards 3.5.8.0

 -- Dave Holland <dave@debian.org>  Mon, 25 Nov 2002 14:03:23 +0000

xjig (2.4-6) unstable; urgency=low

  * Added detail to man page (closes #139281).
  * Fixed segfault with various command line arguments.
  * Fixed mode of xjig-random (closes #96000).
  * Used Carl Johnson's idea for better randomness (closes #137436).
  * Fixed some small errors in README.debian.

 -- Dave Holland <dave@debian.org>  Thu, 3 Oct 2002 17:08:30 +0100

xjig (2.4-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added Build-Depends, fixes Bug#84647.

 -- Lenart Janos <ocsi@debian.org>  Sat, 24 Feb 2001 02:28:59 +0100

xjig (2.4-5) frozen unstable; urgency=low

  * Added Yann Dirson's patch for xjig-random (fixes #43599).
  * Conforms to Standards 3.1.1.1.
  * Changed maintainer email address.

 -- Dave Holland <dave@debian.org>  Thu, 13 Jan 2000 13:37:29 +0000

xjig (2.4-4.1) unstable; urgency=low

  * Non-maintainer upload during bug-squashing party.
  * Recompilation with new libstdc++2.10 (closes #53218).

 -- Christian Kurz <shorty@debian.org>  Sat, 8 Jan 2000 15:34:54 +0100

xjig (2.4-4) unstable; urgency=low

  * debian/rules: changed "cp" to "install" for postinst, postrm
    (fixes #40161) -- thanks to Roman Hodek.

 -- Dave Holland <dave@zenda.demon.co.uk>  Fri, 25 Jun 1999 09:21:50 +0100

xjig (2.4-3) unstable; urgency=low

  * Exits gracefully if supplied image is not a GIF (fixes #10666).
  * Added menu file, call update-menus (fixes #15063).
  * Added xjig-random (fixes #24476).
  * Compiled with g++ 2.91.60-5 (egcs) (fixes #29075).

 -- Dave Holland <dave@zenda.demon.co.uk>  Tue, 22 Jun 1999 17:34:12 +0100

xjig (2.4-2.2) frozen unstable; urgency=low

  * Non maintainer upload.
  * Recompiled with g++/libstdc++2.9.
  * debian/rules: Set CXX.
  * Install debian/changelog.
  * Install xjig into /usr/games.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 14 Dec 1998 14:38:47 +0200

xjig (2.4-2.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 04:38:05 +1100

xjig (2.4-2) unstable; urgency=low

  * Source package now conforms to Debian Standards 2.1.0.0 (fixes #9520)
  * Changed maintainer email address

 -- Dave Holland <dave@zenda.demon.co.uk>  Mon, 12 May 1997 13:18:47 +0100

Local variables:
mode: debian-changelog
End:
