=== debian/control ===
Source: xjig
Section: games
Priority: optional
Maintainer: Dave Holland <dave@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11) , libx11-dev, libxext-dev, libnetpbm10-dev, libjpeg-dev, xutils-dev
Homepage: https://tracker.debian.org/pkg/xjig

Package: xjig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfile-homedir-perl
Description: X11 jigsaw puzzle
 xjig is a puzzle that tries to replicate a jigsaw puzzle on the screen
 as closely as possible. Any GIF, JPEG or PPM image may be loaded and cut
 into pieces. The goal (as with any jigsaw puzzle) is to reassemble the
 original picture.
 .
 Tiles may be freely rotated by use of the mouse, flipped (for
 double-sided puzzles) and even shown as shaped windows on the desktop
 (fast machine/video card recommended for the latter!). An example image
 is provided in /usr/share/games/xjig .
